from axelrod.action import Action
from axelrod.player import Player
IIIllIlllIlIlIlI, lllIIlIllIlIIlll = Action.C, Action.D
class llIIllllIllI(Player):
    IlIlIIlIl = "strategy"
    IIlllIllIlIIlIll = {
        "memory_depth": 0,
        "stochastic": False,
        "long_run_time": False,
        "inspects_source": False,
        "manipulates_source": False,
        "manipulates_state": False,
    }
    @staticmethod
    def IIIlllIIlllI(lllIIlllIllI: Player) -> Action:
        return lllIIlIllIlIIlll